<template>
  <div class="project" @click="openProject(project.id)">
    <div class="project-heading">
      <div class="title">
        <div
          class="image"
          style="background-image: linear-gradient(to right bottom, rgb(3, 233, 225), rgb(33, 211, 112));">
          {{ project.name.substr(0, 1) }}
        </div>
        <div class="text">
          {{ project.displayName }}
        </div>
      </div>
      <div class="issues">
        <i class="fas fa-bug"></i>
        {{ Array.isArray(project.issues) ? project.issues.length : 1}} issues
      </div>
      <div class="members">
        <i class="fas fa-users"></i>
        {{ Array.isArray(project.members) ? project.members.length : 1 }} members
      </div>
    </div>
    <div class="project-repositories" v-if="project.repositories.length > 0">
      <div
        class="project-repository"
        v-for="(repo, index) in project.repositories"
        :key="index"
      >
        <div class="icon"><i class="fas fa-server"></i></div>
        <div class="name">{{ repo.displayName }}</div>
      </div>
    </div>
    <div class="project-repositories" v-else>
      This project doesn't have any repo's yet.
    </div>
  </div>
</template>

<script>
export default {
  props: {
    project: {
      required: true
    }
  },
  methods: {
    openProject(id) {
      this.$router.push({ name: "Project", params: { id } });
    }
  }
};
</script>
